Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(99)

Issue 315623002: Reland "Enable subpixel font scaling by default" (Closed)

Created:
5 years, 2 months ago by eae
Modified:
5 years, 2 months ago
Reviewers:
dglazkov, eseidel
CC:
blink-reviews
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Reland "Enable subpixel font scaling by default" Allow sub-css-pixel font-sizes and thus smooth font scaling which in turn allows for stable layout when zooming and drastically improves readability and font rendering quality on high dpi devices. This change enabled the experimental subpixel font scaling flag by default across all supported platforms. Entry in Chromium Dashboard http://www.chromestatus.com/features/6259163214643200 OWP launch tracking bug https://code.google.com/p/chromium/issues/detail?id=164167 Intent to ship https://groups.google.com/a/chromium.org/forum/#!topic/blink-dev/4-f2i7OEWeg Originally landed as r175192 but reverted as r175308 due to chromeos test failures. R=eseidel@chromium.org, dglazkov@chromium.org BUG=164167 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=175480

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -1 line) Patch
M Source/platform/RuntimeEnabledFeatures.in View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 7 (0 generated)
eae
5 years, 2 months ago (2014-06-03 13:07:21 UTC) #1
eae
This depends on, and must land after, https://codereview.chromium.org/309303002/
5 years, 2 months ago (2014-06-03 13:30:33 UTC) #2
dglazkov
lgtm
5 years, 2 months ago (2014-06-03 14:25:02 UTC) #3
eae
The CQ bit was checked by eae@chromium.org
5 years, 2 months ago (2014-06-04 11:02:27 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/eae@chromium.org/315623002/1
5 years, 2 months ago (2014-06-04 11:03:26 UTC) #5
commit-bot: I haz the power
Change committed as 175480
5 years, 2 months ago (2014-06-04 13:09:52 UTC) #6
Jakob Kummerow
5 years, 2 months ago (2014-06-13 09:01:28 UTC) #7
Message was sent while issue was closed.
On 2014/06/04 13:09:52, I haz the power (commit-bot) wrote:
> Change committed as 175480

This change appears to trigger crbug.com/378052.

Powered by Google App Engine
This is Rietveld 408576698